## org.jfree.data
Class NormalDistributionFunction2D

    java.lang.Object
      org.jfree.data.NormalDistributionFunction2D

All Implemented Interfaces:
  Function2D

public class NormalDistributionFunction2D
extends java.lang.Object
implements Function2D

A normal distribution function.

Constructor Summary
`NormalDistributionFunction2D(double mean, double std)` Constructs a new normal distribution function.

Method Summary
`double` `getValue(double x)` Returns the function value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NormalDistributionFunction2D

    public NormalDistributionFunction2D(double mean,
                                        double std)

  Constructs a new normal distribution function.

Parameters:
  `mean` - the mean.
  `std` - the standard deviation.

Method Detail

### getValue

    public double getValue(double x)

  Returns the function value.

  Specified by:
    `getValue` in interface `Function2D`
  Parameters:
    `x` - the x-value.
  Returns:
    The value.